%define name    google-image-downloader
%define version 1.2.2
%define release %mkrel 3
%define aname  GoogleImageDownloader


Name:		%name
Version: 	%version
Release: 	%release
Source0: 	http://sourceforge.net/projects/googleimagedown/files/GoogleImageDownloader-v%version-src.tar.xz
Source1:	%aname.png
Summary:	Google Image Downloader
License: 	GPLv3
Group: 		Graphical desktop/KDE4
URL: 		http://qt-apps.org/content/show.php/Google+Image+Downloader?content=112633
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libqt4-devel
Requires:	wget qt4-common


%description 
Crossplatform software to search with Google image
with a search criteria offered by Google, display results
and download. Choose which to remove, or browse them, and
download into a specific folder with specific image naming.

%prep
%setup -q -n ImageDownloader
qmake %aname.pro
make


# Create menu entry

mkdir -p %{buildroot}%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%aname.desktop <<EOF
[Desktop Entry]
Name=Google Image Downloader
GenericName=Google Image Downloader
Comment=Google Image Downloader
Exec=%aname
Icon=/usr/share/pixmaps/%aname.png
Terminal=false
Type=Application
Categories=Graphics; 
EOF


%install
mkdir -p %{buildroot}%{_bindir}

install -D -m 755 bin/%aname %{buildroot}%{_bindir}/%aname

# Add menu icon
mkdir -p %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%{_datadir}/pixmaps/

%files
%defattr(-,root,root)
%{_bindir}/%aname
%{_datadir}/applications/%aname.desktop
%{_datadir}/pixmaps/%aname.png

%clean
rm -rf %{buildroot}

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.2.2-2pclos2010
- rebuild for 4.5.1

* Tue Apr 13 2010 Texstar <texstar at gmail.com> 1.2.2-1pclos2010
- 1.2.2

* Thu Mar 18 2010 Johnny Black <johnnyblack at inbox.com> 1.2.1-1pclos2010
- create for pclos

